Bug 125008 - Oops in idetape_chrdev open
Oops in idetape_chrdev open
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-01 20:33 EDT by Greg Hartman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:49:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
oops data from dmesg (1.13 KB, text/plain)
2004-06-01 20:37 EDT, Greg Hartman
no flags Details

  None (edit)
Description Greg Hartman 2004-06-01 20:33:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040113

Description of problem:
When I run mondo backups, I get an oops in idetape_chrdev open.

This happens on two different systems. I do not have an ide tape drive
installed on either system.

I have traced the problem to the following command in mindi. Running
this command reproduces the oops:

dd if=/dev/ht0 of=/dev/null bs=64k count=1


Version-Release number of selected component (if applicable):
2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1. Log in as root on a Fedora Core 2 system without an IDE tape drive
2. dd if=/dev/ht0 of=/dev/null bs=64k count=1

    

Actual Results:  dd exits with a segmentation fault

Expected Results:  dd exits with No such device or address when
opening /dev/ht0

Additional info:
Comment 1 Greg Hartman 2004-06-01 20:37:34 EDT
Created attachment 100773 [details]
oops data from dmesg
Comment 2 Pete Zaitcev 2004-08-11 19:31:51 EDT
Greg, I'll look if I can. But really, do not use ide-tape, please.
Use ide-scsi and st. I fought a battle for the survival of ide-scsi
in 2.6 specifically for the benefit of tape users like you,
because ide-tape is horrible.
Comment 3 Greg Hartman 2004-08-11 21:41:47 EDT
I don't have a tape drive installed on either system. I suspect that
the oops is caused by a missing NULL pointer check in the driver. The
expected result is to return ENODEV (or something like it) on the open
rather than oopsing.

This is happening because I'm using mondo/mindi to do backups. Mindi
opens /dev/ht0 to force the tape module of the kernel to load.
Comment 4 Pete Zaitcev 2004-08-16 21:33:51 EDT
Adding "alias char-major-37-0 off" might help.

The bug is rather obvious, but I do not wish to touch ide-tape
ever again. We should just configure it off.
Comment 5 Pete Zaitcev 2004-08-19 18:20:33 EDT
So, does adding the off alias to /etc/modprobe.conf help?
Comment 6 Dave Jones 2005-04-16 01:49:21 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.